
CREATE TABLE `#__admin_info` (
  `info_id` int(11) NOT NULL auto_increment,
  `info_content` text NOT NULL,
  PRIMARY KEY  (`info_id`)
) ; 

 
CREATE TABLE `#__administrator` (
  `sa_id` int(11) NOT NULL auto_increment,
  `sa` varchar(100) NOT NULL default '',
  `pw` varchar(100) NOT NULL default '',
  `type` int(11) NOT NULL default '0',
  PRIMARY KEY  (`sa_id`)
) ; 

 
CREATE TABLE `#__advertising` (
  `adv_id` int(11) NOT NULL auto_increment,
  `adv_title` varchar(100) NOT NULL default '',
  `adv_width` int(11) NOT NULL default '0',
  `adv_height` int(11) NOT NULL default '0',
  `title_color` varchar(100) NOT NULL default '',
  `adv_left_url` varchar(200) NOT NULL default '',
  `adv_right_url` varchar(100) NOT NULL default '',
  `adv_left_img` varchar(100) NOT NULL default '',
  `adv_right_img` varchar(100) NOT NULL default '',
  `point_num` int(11) NOT NULL default '0',
  `adv_tag` varchar(100) NOT NULL default '',
  `adv_idate` varchar(100) NOT NULL default '',
  `adv_type` int(11) NOT NULL default '0',
  `adv_display` int(11) NOT NULL default '0',
  `adv_content` text NOT NULL,
  PRIMARY KEY  (`adv_id`)
) ; 


CREATE TABLE `#__bclass` (
  `bid` int(11) NOT NULL auto_increment,
  `top_id` int(11) NOT NULL default '0',
  `catname` varchar(100) NOT NULL default '',
  `catmenucolor` varchar(10) NOT NULL default '',
  `catord` int(11) NOT NULL default '0',
  `catiffb` int(11) NOT NULL default '0',
  `attr` text NOT NULL,
  PRIMARY KEY  (`bid`)
) ; 

 
CREATE TABLE `#__bonuscoll_goods` (
  `abc_id` int(11) NOT NULL auto_increment,
  `bonusnum` int(11) NOT NULL default '0',
  `askfor` int(11) NOT NULL default '0',
  `collection_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `username` varchar(100) NOT NULL default '',
  `isay` text NOT NULL,
  `ssay` text NOT NULL,
  `goodsname` varchar(100) NOT NULL default '',
  `idate` varchar(100) NOT NULL default '',
  `sidate` varchar(100) NOT NULL default '',
  `goods_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`abc_id`)
) ; 


CREATE TABLE `#__bonuscollection_goods` (
  `collection_id` int(11) NOT NULL auto_increment,
  `gid` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `cidate` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`collection_id`)
) ; 


CREATE TABLE `#__brand` (
  `brand_id` int(11) NOT NULL auto_increment,
  `brandname` varchar(20) NOT NULL default '',
  `logopic` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`brand_id`)
) ; 


CREATE TABLE `#__collection_goods` (
  `collection_id` int(11) NOT NULL auto_increment,
  `gid` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `cidate` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`collection_id`)
) ; 


CREATE TABLE `#__contact` (
  `contact_id` int(11) NOT NULL auto_increment,
  `companyname` varchar(100) NOT NULL default '',
  `address` varchar(200) NOT NULL default '',
  `lxr` varchar(20) NOT NULL default '',
  `fax` varchar(30) NOT NULL default '',
  `zc` varchar(20) NOT NULL default '',
  `tel_one` varchar(10) NOT NULL default '',
  `tel_two` varchar(20) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `url` varchar(200) NOT NULL default '',
  `hz1` int(11) NOT NULL default '0',
  `hz2` int(11) NOT NULL default '0',
  `hz3` int(11) NOT NULL default '0',
  `idate` varchar(30) NOT NULL default '',
  `content` text NOT NULL,
  PRIMARY KEY  (`contact_id`)
) ; 



CREATE TABLE `#__forum_affiche` (
  `forum_affiche_id` int(11) NOT NULL auto_increment,
  `affiche_title` varchar(100) NOT NULL default '',
  `affiche_content` varchar(100) NOT NULL default '',
  `state` int(11) NOT NULL default '0',
  `iconid` int(11) NOT NULL default '0',
  `points` int(11) NOT NULL default '0',
  `username` varchar(100) NOT NULL default '',
  `affiche_idate` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`forum_affiche_id`)
) ; 

 
CREATE TABLE `#__forum_class` (
  `bid` int(11) NOT NULL auto_increment,
  `top_id` int(11) NOT NULL default '0',
  `catname` varchar(100) NOT NULL default '',
  `catord` int(11) NOT NULL default '0',
  `catiffb` int(11) NOT NULL default '0',
  `intro` text NOT NULL,
  `attr_id` varchar(200) NOT NULL default '',
  `attr` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`bid`)
) ; 


CREATE TABLE `#__forum_post` (
  `post_id` int(11) NOT NULL auto_increment,
  `topclass_id` int(11) NOT NULL default '0',
  `toppost_id` int(11) NOT NULL default '0',
  `title` varchar(100) NOT NULL default '',
  `content` text NOT NULL,
  `author` varchar(100) NOT NULL default '',
  `idate` varchar(100) NOT NULL default '',
  `lidate` varchar(100) NOT NULL default '',
  `user_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`post_id`)
) ; 

 
CREATE TABLE `#__forum_toppost` (
  `toppost_id` int(11) NOT NULL auto_increment,
  `topclass_id` int(11) NOT NULL default '0',
  `icon` int(11) NOT NULL default '0',
  `topost_title` varchar(100) NOT NULL default '',
  `topost_author` varchar(100) NOT NULL default '',
  `lastmember` varchar(100) NOT NULL default '',
  `lastidate` varchar(100) NOT NULL default '',
  `lastid` int(11) NOT NULL default '0',
  `lasttitle` varchar(100) NOT NULL default '',
  `public` int(11) NOT NULL default '0',
  `revert` int(11) NOT NULL default '0',
  `view` int(11) NOT NULL default '0',
  `state` int(11) NOT NULL default '0',
  `topost_idate` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`toppost_id`)
) ; 

CREATE TABLE `#__forum_vol` (
  `vloid` int(11) NOT NULL auto_increment,
  `volname` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`vloid`)
) ; 


CREATE TABLE `#__good_comment` (
  `comment_id` int(11) NOT NULL auto_increment,
  `good_id` int(11) NOT NULL default '0',
  `comment_content` text NOT NULL,
  `comment_answer` text NOT NULL,
  `already_read` int(11) NOT NULL default '0',
  `comment_idate` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`comment_id`)
) ; 

 
CREATE TABLE `#__good_link` (
  `good_link_id` int(11) NOT NULL auto_increment,
  `p_gid` int(11) NOT NULL default '0',
  `s_gid` int(11) NOT NULL default '0',
  `link_type` int(11) NOT NULL default '0',
  `idate` varchar(100) NOT NULL default '',
  `zk_price` decimal(10,2) NOT NULL default '0.00',
  PRIMARY KEY  (`good_link_id`)
) ; 


CREATE TABLE `#__good_pic` (
  `goodpic_id` int(11) NOT NULL auto_increment,
  `good_id` int(11) default NULL,
  `goodpic_name` varchar(200) default NULL,
  `goodpic_title` varchar(100) default NULL,
  `goodpic_content` text,
  PRIMARY KEY  (`goodpic_id`)
) ; 

 
CREATE TABLE `#__goods` (
  `gid` int(20) NOT NULL auto_increment,
  `goodsname` varchar(100) default NULL,
  `bid` int(20) default NULL,
  `upbid` int(11) NOT NULL default '0',
  `bn` varchar(30) default NULL,
  `intro` text,
  `brand` varchar(50) default NULL,
  `brand_id` int(11) NOT NULL default '0',
  `unit` varchar(30) default NULL,
  `pricedesc` int(11) default '0',
  `provider_id` int(11) NOT NULL default '0',
  `price` int(11) default '0',
  `point` int(11) NOT NULL default '0',
  `alarmnum` int(11) NOT NULL default '0',
  `nocarriage` int(11) NOT NULL default '0',
  `bonusnum` int(11) NOT NULL default '0',
  `subject_id` int(11) NOT NULL default '0',
  `storage` int(10) default NULL,
  `ifalarm` int(1) default '1',
  `ifpub` int(1) default '1',
  `ifrecommend` int(10) default '1',
  `ifspecial` int(10) default NULL,
  `ifbonus` int(11) NOT NULL default '0',
  `ifhot` int(1) default '0',
  `ifgl` int(11) default '0',
  `ifjs` int(11) NOT NULL default '0',
  `js_begtime` date NOT NULL default '0000-00-00',
  `js_endtime` date NOT NULL default '0000-00-00',
  `js_price` varchar(100) NOT NULL default '',
  `js_totalnum` int(11) NOT NULL default '0',
  `ifobject` int(10) unsigned default '1',
  `smallimg` varchar(100) NOT NULL default '',
  `bigimg` varchar(100) NOT NULL default '',
  `goodattr` text NOT NULL,
  `goodorder` int(11) NOT NULL default '0',
  `view_num` int(11) NOT NULL default '0',
  `gattribs` text NOT NULL,
  `gattribs_content` text NOT NULL,
  `body` text NOT NULL,
  `idate` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`gid`)
) ; 

 
CREATE TABLE `#__help` (
  `news_id` int(11) NOT NULL auto_increment,
  `class_name` varchar(100) NOT NULL default '',
  `ntitle` varchar(100) NOT NULL default '',
  `ntitle_color` varchar(100) NOT NULL default '',
  `nltitle` varchar(100) NOT NULL default '',
  `nltitle_color` varchar(100) NOT NULL default '',
  `author` varchar(100) NOT NULL default '',
  `url` varchar(100) NOT NULL default '',
  `url_on` int(11) NOT NULL default '0',
  `nord` int(11) NOT NULL default '0',
  `niffb` int(11) NOT NULL default '0',
  `brief` text NOT NULL,
  `nbody` text NOT NULL,
  `nidate` varchar(100) NOT NULL default '',
  `nimg` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`news_id`)
) ; 

 
CREATE TABLE `#__link` (
  `link_id` int(11) NOT NULL auto_increment,
  `link_title` varchar(100) NOT NULL default '',
  `link_width` int(11) NOT NULL default '0',
  `link_height` int(11) NOT NULL default '0',
  `link_url` varchar(100) NOT NULL default '',
  `link_display` int(11) NOT NULL default '0',
  `link_ima` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`link_id`)
) ; 


CREATE TABLE `#__mail_group` (
  `mgroup_id` int(11) NOT NULL auto_increment,
  `mgroup_name` varchar(100) NOT NULL default '',
  `auto` int(11) NOT NULL default '0',
  `mgroup_list` longtext NOT NULL,
  PRIMARY KEY  (`mgroup_id`)
) ; 

 
CREATE TABLE `#__member_price` (
  `m_price_id` int(11) NOT NULL auto_increment,
  `m_level_id` int(11) NOT NULL default '0',
  `m_goods_id` int(11) NOT NULL default '0',
  `m_price` decimal(10,2) default '0.00',
  PRIMARY KEY  (`m_price_id`)
) ; 

 
CREATE TABLE `#__nclass` (
  `ncid` int(11) NOT NULL auto_increment,
  `ncname` varchar(100) NOT NULL default '',
  `top_id` int(11) NOT NULL default '0',
  `ncatord` int(11) NOT NULL default '0',
  `ncatiffb` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ncid`)
) ; 


CREATE TABLE `#__news` (
  `news_id` int(11) NOT NULL auto_increment,
  `top_id` int(11) NOT NULL default '0',
  `ntitle` varchar(100) NOT NULL default '',
  `ntitle_color` varchar(100) NOT NULL default '',
  `nltitle` varchar(100) NOT NULL default '',
  `nltitle_color` varchar(100) NOT NULL default '',
  `author` varchar(100) NOT NULL default '',
  `url` varchar(100) NOT NULL default '',
  `url_on` int(11) NOT NULL default '0',
  `nord` int(11) NOT NULL default '0',
  `niffb` int(11) NOT NULL default '0',
  `brief` text NOT NULL,
  `nbody` text NOT NULL,
  `nidate` varchar(100) NOT NULL default '',
  `nimg` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`news_id`)
) ; 


CREATE TABLE `#__operater` (
  `opid` int(10) NOT NULL auto_increment,
  `username` varchar(20) NOT NULL default '',
  `userpass` varchar(32) NOT NULL default '',
  `truename` varchar(30) default NULL,
  `privilege` text NOT NULL,
  `status` tinyint(1) NOT NULL default '1',
  `lastlogin` int(11) NOT NULL default '0',
  PRIMARY KEY  (`opid`)
) ; 


CREATE TABLE `#__order_detail` (
  `order_detail_id` int(11) NOT NULL auto_increment,
  `gid` int(11) NOT NULL default '0',
  `order_id` int(11) NOT NULL default '0',
  `detail_pay_state` int(11) NOT NULL default '0',
  `detail_order_state` int(11) NOT NULL default '0',
  `hadsend` int(11) NOT NULL default '0',
  `unit` varchar(100) NOT NULL default '',
  `goodsname` varchar(100) NOT NULL default '',
  `provider_id` int(11) NOT NULL default '0',
  `goodscount` int(11) NOT NULL default '0',
  `market_price` decimal(10,2) NOT NULL default '0.00',
  `price` decimal(10,2) NOT NULL default '0.00',
  PRIMARY KEY  (`order_detail_id`)
) ; 

 
CREATE TABLE `#__order_state` (
  `order_state_id` int(11) NOT NULL auto_increment,
  `order_state_value` int(11) NOT NULL default '0',
  `order_state_name` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`order_state_id`)
) ; 


CREATE TABLE `#__order_table` (
  `order_id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `order_serial` double NOT NULL default '0',
  `receiver_name` varchar(100) NOT NULL default '',
  `receiver_address` varchar(100) NOT NULL default '',
  `receiver_email` varchar(100) NOT NULL default '',
  `receiver_post` varchar(100) NOT NULL default '',
  `receiver_tele` varchar(100) NOT NULL default '',
  `receiver_mobile` varchar(100) NOT NULL default '',
  `receiver_memo` text NOT NULL,
  `transport_price` varchar(100) NOT NULL default '0.00',
  `invoiceform` varchar(100) NOT NULL default '',
  `invoice_num` int(11) NOT NULL default '0',
  `atm` varchar(100) NOT NULL default '',
  `ifinvoice` int(11) NOT NULL default '0',
  `totalprice` decimal(10,2) NOT NULL default '0.00',
  `paymentid` int(11) NOT NULL default '0',
  `paymentname` varchar(100) NOT NULL default '',
  `deliveryid` int(11) NOT NULL default '0',
  `deliveryname` varchar(100) NOT NULL default '',
  `order_year` varchar(100) NOT NULL default '',
  `order_month` varchar(100) NOT NULL default '',
  `order_day` varchar(100) NOT NULL default '',
  `order_state` int(11) NOT NULL default '0',
  `provider_id` int(11) NOT NULL default '0',
  `pay_state` int(11) NOT NULL default '0',
  `paycontent` text NOT NULL,
  `createtime` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`order_id`)
) ; 


CREATE TABLE `#__order_userback` (
  `userback_id` int(11) NOT NULL auto_increment,
  `userback_type` int(11) NOT NULL default '0',
  `userback_alread` int(11) NOT NULL default '0',
  `userback_idate` varchar(100) NOT NULL default '',
  `provider_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `order_id` int(11) NOT NULL default '0',
  `user_say` text NOT NULL,
  `sys_say` text NOT NULL,
  PRIMARY KEY  (`userback_id`)
) ; 


CREATE TABLE `#__pay_state` (
  `pay_state_id` int(11) NOT NULL auto_increment,
  `pay_state_value` int(11) NOT NULL default '0',
  `pay_state_name` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`pay_state_id`)
) ; 


CREATE TABLE `#__pay_type` (
  `pay_id` int(11) NOT NULL auto_increment,
  `pay_name` varchar(100) NOT NULL default '',
  `pay_state` int(11) NOT NULL default '0',
  `pay_content` text NOT NULL,
  PRIMARY KEY  (`pay_id`)
) ; 

 
CREATE TABLE `#__poll` (
  `poll_id` int(11) NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  `polloptionnum` int(11) NOT NULL default '0',
  `open` int(11) NOT NULL default '0',
  `idate` varchar(100) NOT NULL default '',
  `type` int(11) NOT NULL default '0',
  PRIMARY KEY  (`poll_id`)
) ; 

 
CREATE TABLE `#__poll_option` (
  `subpoll_id` int(11) NOT NULL auto_increment,
  `poll_id` int(11) NOT NULL default '0',
  `subtitle` varchar(20) NOT NULL default '',
  `points` int(11) NOT NULL default '0',
  PRIMARY KEY  (`subpoll_id`)
) ; 


CREATE TABLE `#__problem` (
  `news_id` int(11) NOT NULL auto_increment,
  `ntitle` varchar(100) NOT NULL default '',
  `ntitle_color` varchar(100) NOT NULL default '',
  `nltitle` varchar(100) NOT NULL default '',
  `nltitle_color` varchar(100) NOT NULL default '',
  `author` varchar(100) NOT NULL default '',
  `url` varchar(100) NOT NULL default '',
  `url_on` int(11) NOT NULL default '0',
  `nord` int(11) NOT NULL default '0',
  `niffb` int(11) NOT NULL default '0',
  `brief` text NOT NULL,
  `nbody` text NOT NULL,
  `nidate` varchar(100) NOT NULL default '',
  `nimg` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`news_id`)
) ; 

 
CREATE TABLE `#__provider` (
  `provider_id` int(11) NOT NULL auto_increment,
  `provider_name` varchar(100) NOT NULL default '',
  `provider_thenum` varchar(100) NOT NULL default '',
  `provider_tel` varchar(100) NOT NULL default '',
  `provider_email` varchar(100) NOT NULL default '',
  `provider_loginpassword` varchar(100) NOT NULL default '',
  `provider_lxr` varchar(100) NOT NULL default '',
  `provider_fb` int(11) NOT NULL default '0',
  `provider_addr` varchar(100) NOT NULL default '',
  `provider_content` text NOT NULL,
  `provider_idate` varchar(100) NOT NULL default '',
  `provider_lastlogin` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`provider_id`)
) ; 

 
CREATE TABLE `#__provider_news` (
  `provider_nid` int(11) NOT NULL auto_increment,
  `provider_ntitle` varchar(100) NOT NULL default '',
  `provider_who` int(11) NOT NULL default '0',
  `provider_nfb` int(11) NOT NULL default '0',
  `provider_ncontent` text NOT NULL,
  `provider_nidate` varchar(30) NOT NULL default '',
  `provider_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`provider_nid`)
) ; 


CREATE TABLE `#__publication` (
  `publication_id` int(11) NOT NULL auto_increment,
  `publication_title` varchar(100) NOT NULL default '',
  `publication_start_time` varchar(100) NOT NULL default '',
  `publication_end_time` varchar(100) NOT NULL default '',
  `publication_content` text NOT NULL,
  `publication_alreadysend` int(11) NOT NULL default '0',
  PRIMARY KEY  (`publication_id`)
) ; 

CREATE TABLE `#__sendtype` (
  `sendtype_id` int(11) NOT NULL auto_increment,
  `sendname` varchar(100) NOT NULL default '',
  `sendtitle` varchar(50) NOT NULL default '',
  `sendstatus` int(11) NOT NULL default '0',
  `sendtype` varchar(50) NOT NULL default '',
  `sendcontent` text NOT NULL,
  PRIMARY KEY  (`sendtype_id`)
) ; 


CREATE TABLE `#__session_table` (
  `id` int(11) NOT NULL auto_increment,
  `session_id` varchar(200) NOT NULL default '',
  `sa_id` int(11) NOT NULL default '0',
  `type` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ; 


CREATE TABLE `#__subject` (
  `subject_id` int(11) NOT NULL auto_increment,
  `subject_name` varchar(100) NOT NULL default '',
  `subject_open` int(11) NOT NULL default '0',
  `subject_content` text NOT NULL,
  `subject_num` int(11) NOT NULL default '0',
  PRIMARY KEY  (`subject_id`)
) ; 


CREATE TABLE `#__transportation` (
  `transport_id` int(11) NOT NULL auto_increment,
  `transport_name` varchar(100) NOT NULL default '',
  `transport_price` decimal(10,2) NOT NULL default '0.00',
  `transport_content` text NOT NULL,
  PRIMARY KEY  (`transport_id`)
) ; 

CREATE TABLE `#__user` (
  `user_id` int(11) NOT NULL auto_increment,
  `username` varchar(100) NOT NULL default '',
  `password` varchar(100) NOT NULL default '',
  `user_state` int(11) NOT NULL default '0',
  `true_name` varchar(100) NOT NULL default '',
  `sex` int(11) NOT NULL default '0',
  `born_date` varchar(100) NOT NULL default '',
  `city` varchar(100) NOT NULL default '',
  `canton` varchar(100) NOT NULL default '',
  `zip` varchar(16) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `tel` varchar(100) NOT NULL default '',
  `other_tel` varchar(100) NOT NULL default '',
  `addr` varchar(100) NOT NULL default '',
  `post` varchar(100) NOT NULL default '',
  `idcard` varchar(100) NOT NULL default '',
  `fax` varchar(100) NOT NULL default '',
  `reg_date` date NOT NULL default '0000-00-00',
  `reg_ip` varchar(100) NOT NULL default '',
  `member_point` int(11) NOT NULL default '0',
  `points` int(11) NOT NULL default '0',
  `toppoints` int(11) NOT NULL default '0',
  `vloid` int(11) NOT NULL default '1',
  `provider_id` int(11) NOT NULL default '0',
  `forum_attr` varchar(100) NOT NULL default '',
  `user_level` int(11) NOT NULL default '0',
  `advance` decimal(10,0) NOT NULL default '0',
  PRIMARY KEY  (`user_id`)
) ; 


CREATE TABLE `#__user_level` (
  `level_id` int(11) NOT NULL auto_increment,
  `level_name` varchar(100) NOT NULL default '',
  `level_num` int(11) NOT NULL default '0',
  PRIMARY KEY  (`level_id`)
) ; 

 
CREATE TABLE `#__visit_ip` (
  `visit_ip_id` int(11) NOT NULL auto_increment,
  `visit_ip` varchar(100) NOT NULL default '',
  `visit_agent` varchar(100) NOT NULL default '',
  `os` varchar(100) NOT NULL default '',
  `ie` varchar(100) NOT NULL default '',
  `screen` int(11) NOT NULL default '0',
  `referrer` varchar(200) NOT NULL default '',
  `user_id` int(11) NOT NULL default '0',
  `visit_idate` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`visit_ip_id`)
) ; 

