<?php 
class Email 
{ 
   //
    var $mailTo             =  ""; 
    var $mailFrom           =  "";
    var $mailSubject        =  "";
    var $mailText           =  "";
    var $mailHTML           =  "";
	var $charSet            =  "utf-8"; 

    function setTo($inAddress){ 
        $addressArray = explode( ",",$inAddress); 
        for($i=0;$i<count($addressArray);$i++){ 
            if($this->checkEmail($addressArray[$i])==false) return false; 
        } 
        $this->mailTo = implode($addressArray, ","); 
        return true; 
    } 

    function setFrom($inAddress){ 
        if($this->checkEmail($inAddress)){ 
            $this->mailFrom = $inAddress; 
            return true; 
        } 
        return false; 
    } 

    function setSubject($inSubject){ 
        if(strlen(trim($inSubject)) > 0){ 
            //$this->mailSubject = "=?UTF-8?B?".base64_encode(strtr(ereg_replace( "\n", "",$inSubject),"\r\n","  "))."?="; 
			$this->mailSubject = ereg_replace( "\n", "",$inSubject);
            return true; 
        } 
        return false; 
    } 

    function setText($inText){ 
        if(strlen(trim($inText)) > 0){ 
           // $this->mailText = "=?UTF-8?B?".base64_encode($inText)."?=";  
		    $this->mailText = $inText;  
            return true; 
        } 
        return false; 
    } 

    function setHTML($inHTML){ 
        if(strlen(trim($inHTML)) > 0){ 
            //$this->mailHTML = "=?UTF-8?B?".base64_encode($inHTML)."?=";  
            $this->mailHTML = $inHTML;  
            return true; 
        } 
        return false; 
    } 

    function checkEmail($inAddress){ 
        return (ereg(  "^[^@ ]+@([a-zA-Z0-9\-]+\.)+([a-zA-Z0-9\-]{2}|net|com|gov|mil|org|edu|int)\$",$inAddress)); 
    } 

    function getRandomBoundary($offset = 0){ 
        srand(time()+$offset); 
        return ( "----".(md5(rand()))); 
    } 

    function formatTextHeader(){ 
		global $charSet;
		$charSet = $charSet!='' ? $charSet : $this->charSet ; 
        $outTextHeader =  ""; 
        $outTextHeader .=  "Content-Type: text/plain; charset=".$charSet."\n"; 
        $outTextHeader .=  "Content-Transfer-Encoding: 8bit\n\n"; 
        $outTextHeader .= $this->mailText. "\n"; 
        return $outTextHeader; 
    } 

    function formatHTMLHeader(){ 
		global $charSet;
		$charSet = $charSet!='' ? $charSet : $this->charSet ; 
        $outHTMLHeader =  ""; 
        $outHTMLHeader .=  "Content-Type: text/html; charset=".$charSet."\n"; 
        $outHTMLHeader .=  "Content-Transfer-Encoding: 8bit\n\n"; 
        $outHTMLHeader .= $this->mailHTML. "\n"; 
        return $outHTMLHeader; 
    } 

    function send(){ 
        $mailHeader =  "";
		//$TheForum   = "=?UTF-8?B?".base64_encode("保力達客服中心")."?=";

        if($this->mailFrom !=  "") $mailHeader .=  "FROM: ".$TheForum."<".$this->mailFrom.">\n"; 
        if($this->mailText !=  "" && $this->mailHTML ==  ""){ 
            return @mail($this->mailTo,$this->mailSubject,$this->mailText,$mailHeader); 
        }
        else if($this->mailText ==  "" && $this->mailHTML !=  ""){ 
            $bodyBoundary = $this->getRandomBoundary(); 
            $textHeader = $this->formatTextHeader(); 
            $htmlHeader = $this->formatHTMLHeader(); 
            $mailHeader .=  "--".$bodyBoundary. "\n"; 
            $mailHeader .=  "MIME-Version: 1.0\n";              
            $mailHeader .=  "Content-Type: multipart/alternative;\n"; 
            $mailHeader .=  ' boundary="'.$bodyBoundary. '"'; 
            $mailHeader .=  "\n\n\n"; 
            $mailHeader .=  "--".$bodyBoundary. "\n"; 
            $mailHeader .= $textHeader; 
            $mailHeader .=  "--".$bodyBoundary. "\n"; 
            $mailHeader .= $htmlHeader; 
            $mailHeader .=  "\n--".$bodyBoundary. "--"; 
            return @mail($this->mailTo,$this->mailSubject, "",$mailHeader); 
        } 
        return false; 
    } 
} 
?>