<?php 
/**
* ʵutf8gbת
*
* @version 1.0.0
* @package Charset
*/

class __utf8_gb extends CharsetTool 
{
	/**
	* 캯
	*
	* @access public
	*/
	function __construct()
	{
		parent::__construct();
	}	
	
	/**
	* ת
	*
	* @param string $string Ҫתַ
	* @return string תĽ
	* @access public
	*/
	function convert($string)
	{
 

 /*
		
		if (function_exists("iconv"))
		{
			$string = iconv("utf-8", "gb2312", $string);	
			return $string;
		}

		

		if (function_exists("mb_convert_encoding"))
		{
			$string = mb_convert_encoding($string, "gb2312", "utf-8");
			return $string;	
		}
*/

		$out = "";
    	$len = strlen($string);
    	$i = 0;

        /*
    	if (!Pfc::has("gb_unicode_table"))
    	{
    		$lines = file($this->dir . "/Charset/tables/gb-unicode.table");
    		Pfc::set("gb_unicode_table", $lines);
    	}
    	else 
    	{
    		$lines = Pfc::get("gb_unicode_table");	
    	}
        */

	   $lines = file($this->dir . "/Charset/tables/gb-unicode.table");

	   

		$array = array();
		foreach ($lines as $v)
		{
    		$array[hexdec(substr($v, 7, 6))] = substr($v, 0, 6);
		}
    	while ($i < $len) 
    	{
    		$c = ord(substr( $string, $i++, 1));
			switch($c >> 4)
			{
				case 0: 
				case 1: 
				case 2: 
				case 3: 
				case 4: 
				case 5: 
				case 6: 
				case 7:
						$out .= substr($string, $i-1, 1);
						break;
				case 12: 
				case 13:
						$char2 = ord(substr($string, $i++, 1));
						$char3 = $array[(($c & 0x1F) << 6) | ($char2 & 0x3F)];
						$out .= parent::hex2bin(dechex($char3 + 0x8080));
						break;
				case 14:
						$char2 = ord(substr($string, $i++, 1));
						$char3 = ord(substr($string, $i++, 1));
						$char4 = $array[(($c & 0x0F) << 12) | (($char2 & 0x3F) << 6) | (($char3 & 0x3F) << 0)];
						$out .= parent::hex2bin(dechex($char4 + 0x8080));
						break;
			}	
    	}

	   	return $out;
	}
}

?>